package net.educoder.ecsonar.model;


import lombok.Data;

/**
 * @Author: youys
 * @Date: 2022/9/19
 * @Description:
 */
@Data
public class Issues {

    private String id;
    private String ruleId;
    private String severity;
    private String message;
    private String status;
    private String projectUuid;
    private Integer issueType;
    private Integer lines;
    private byte[] locations = new byte[0];

    /**
     * bug名称
     */
    private String name;
    /**
     * 文件路径
     */
    private String path;

    /**
     * 对应file_sources表的file_uuid
     * 对应issue表的component_uuid
     */
    private String uuid;

    /**
     * 语言
     */
    private String language;

}
