package net.educoder.ecsonar.model.dto;


import lombok.Data;


/**
 * @Author: youys
 * @Date: 2022/9/27
 * @Description: 分析详情列表返回数据
 */
@Data
public class AnalyseDetailListDTO {

    /**
     * 名称
     */
    private String name;
    /**
     * 描述
     */
    private String description;
    /**
     * 文件路径
     */
    private String filePath;
    /**
     * 行号
     */
    private Integer rowNumber;

    /**
     * 语言
     */
    private String language;
    /**
     * 级别
     */
    private String level;

    /**
     * 找文件唯一标识
     */
    private String uuid;

    private String ruleId;

    private String issueId;

}
