package net.educoder.ecsonar.model;

import lombok.Data;

import java.util.Date;

/**
 * @Author: youys
 * @Date: 2022/10/17
 * @Description:
 */
@Data
public class Rule {

    private Long id;
    private String name;
    private String description;

    /**
     * 语言
     */
    private String language;

    /**
     * 20min
     */
    private String defRemediationBaseEffort;

    /**
     * 标签， ","分割
     */
    private String tags;

    /**
     * 创建时间
     */
    private Long createTime;
}
