package net.educoder.ecsonar.model.dto;

import lombok.Data;

import java.util.List;

/**
 * @Author: youys
 * @Date: 2022/10/17
 * @Description: 代码详情
 */
@Data
public class CodeDetailDTO {

    /**
     * 代码
     */
    private List<FileSourceDTO> codes;
    /**
     * 示例代码
     */
    private String example;

    /**
     * 标题
     */
    private String title;

    /**
     * 错误消息
     */
    private String errMessage;

}
