package net.educoder.ecsonar.model.dto;

import lombok.Data;

import java.util.List;

/**
 * @Author: youys
 * @Date: 2022/12/22
 * @Description:
 */
@Data
public class ProblemAnalysisDTO {

    private String title;
    private String example;


    /**
     * 语言
     */
    private String language;

    /**
     * 20min
     */
    private String constantIssue;

    /**
     * 标签
     */
    private List<String> tags;

    /**
     * 创建时间
     */
    private String createTime;
}
