package net.educoder.ecsonar.model.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @Author: youys
 * @Date: 2022/12/20
 * @Description: 分析详情列表入参
 */
@Data
public class AnalyseDetailListVO extends PageVO {

    /**
     * 类型
     * 1 代码规范
     * 2 bug
     * 3 漏洞
     */
    private Integer type;

    /**
     * 严重程度
     * all 全部
     */
    private Integer degree;


    @NotBlank(message = "作业id不能为空")
    private String homeworkId;

    @NotBlank(message = "学号不能为空")
    private String studentNo;

}
